jakarta-taglibs-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 41481] - Error when nested x:forEach loops where the inner x:forEach iterates over the parsed results of a *different* xml file.
Date Tue, 30 Jan 2007 16:08:16 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=41481>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=41481





------- Additional Comments From brodseba@iname.com  2007-01-30 08:08 -------
(In reply to comment #16)
> You can also use this (or combine with previous example) to get the versions
> (and some other useful info) for Xerces & Xalan:
> 
> apachexml.jsp:
> --------------
> 
> <%@ page contentType="text/plain; charset=UTF-8" %>
> 
> Xerces version: <%= org.apache.xerces.impl.Version.getVersion() %>
> 
> Xalan version: <%= org.apache.xalan.Version.getVersion() %>
> 
> Xalan env check:
> <%= new org.apache.xalan.xslt.EnvironmentCheck().checkEnvironment(new
> java.io.PrintWriter(out)) %>
> 

Running your first example, I got:

SAXParser location: null
Transformer location: null


In the second one, I got:

Xerces version: XML4J 4.3.7

Xalan version: XSLT4J Java 2.6.9

Xalan env check:
#---- BEGIN writeEnvironmentReport(Revision: 1.31.1.3): Useful stuff found: ----
java.version=1.4.2
version.xalan2x=XSLT4J Java 2.6.9
version.JAXP=1.1 or higher
version.SAX=2.0
version.crimson=not-present
java.class.path=WARNING: SecurityException thrown accessing system classpath
properties
version.ant=not-present
version.b2bxml=1.2.1
sun.boot.class.path=
/usr/local/was/v6/java/jre/lib/ext/ibmorb.jar:
/usr/local/was/v6/java/jre/lib/ext/ibmext.jar:
/usr/local/was/v6/java/jre/lib/core.jar:
/usr/local/was/v6/java/jre/lib/graphics.jar:
/usr/local/was/v6/java/jre/lib/security.jar:
/usr/local/was/v6/java/jre/lib/server.jar:
/usr/local/was/v6/java/jre/lib/xml.jar:
/usr/local/was/v6/java/jre/lib/charsets.jar:
/usr/local/was/v6/java/jre/classes:
/usr/local/was/v6/java/jre/lib/ibmcertpathprovider.jar:
/usr/local/was/v6/java/jre/lib/ibmjaaslm.jar:
/usr/local/was/v6/java/jre/lib/ibmjcefw.jar:
/usr/local/was/v6/java/jre/lib/ibmjgssprovider.jar:
/usr/local/was/v6/java/jre/lib/ibmjssefips.jar:
/usr/local/was/v6/java/jre/lib/ibmjsseprovider.jar:
/usr/local/was/v6/java/jre/lib/ibmorb.jar:
/usr/local/was/v6/java/jre/lib/ibmorbapi.jar:
/usr/local/was/v6/java/jre/lib/ibmpkcs.jar
version.DOM.draftlevel=2.0fd
version.DOM=2.0
version.xalan1=not-present
version.xalan2_2=XSLT4J Java 2.6.9
version.xerces2=XML4J 4.3.7
version.xerces1=not-present
#----- END writeEnvironmentReport: Useful properties found: -----
# YAHOO! Your environment seems to be OK.
true

It seem, WebSphere 6 use Xalan 2.6.9 (a version not suppose to exist when I
check on Xalan website). How can I fix this?  Do you know if WebSphere supported
  the Endorsed Standards Override Mechanism?

-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

---------------------------------------------------------------------
To unsubscribe, e-mail: taglibs-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: taglibs-dev-help@jakarta.apache.org


Mime
View raw message